class Bullet

  attr_reader :x, :y, :power


  def initialize(window, x, y, angle)
    @x = x
    @y = y
    @angle = angle
    @speed = 10
    @drop = 5
    @power = 1 # how many hit points does it take?
    @birth = Time.now

    @image = Gosu::Image.new window, "graphics/bullet.png"
  end

  def update
    @x += @speed * Math.cos(@angle * Math::PI / 180)
    @y += @speed * Math.sin(@angle * Math::PI / 180)
  end

  def draw
    GraphicsManager.instance.draw :bullet, @x, @y, @angle
  end

  def end_of_life
    Time.now - @birth > @drop
  end

  def collide?(thing)
    dist = Gosu::distance(@x, @y, thing.x, thing.y)
    dist < (2 + 16)
  end

end
