class GraphicsManager
  include Singleton

  def initialize
    @gfx = {
      dirt: Gosu::Image.new("graphics/dirt.png", tileable: true),
      wall: Gosu::Image.new("graphics/wall.png"),

      player: Gosu::Image.new("graphics/player.png"),
      bullet: Gosu::Image.new("graphics/bullet.png"),
      zombie: Gosu::Image.new("graphics/zombie.png")
    }
  end

  def draw(graphic, x, y, rotation=0)
    raise "Unknown graphic '#{graphic}'" if @gfx[graphic].nil?
    @gfx[graphic].draw_rot x, y, 0, rotation
  end
end
