class SoundManager
  include Singleton

  def initialize
    @sfx = {
      zombie_hit: Gosu::Sample.new($game, "sounds/zombie_hit_01.mp3"),
      zombie_dead: Gosu::Sample.new($game, "sounds/zombie_death_01.mp3"),
      shot: Gosu::Sample.new($game, "sounds/shot.mp3")
    }
  end

  def play(sound)
    raise "Unknown sound '#{sound}'" if @sfx[sound].nil?
    @sfx[sound].play 1.0
  end
end
