class Map

  def initialize(window)
    @window = window

    @width = 2048
    @height = 2048

    @map = []
    @height.times do |y|
      @map << []
      @width.times do |x|
        x_coord = x*64
        y_coord = y*64
        @map[y] << (rand > 0.95 ? WallTile.new(@window, x_coord, y_coord) : DirtTile.new(@window, x_coord, y_coord))
      end
    end
  end

  def draw(camera)
    camera_x = camera.x
    camera_y = camera.y
    x_offset = (camera_x / 64)
    y_offset = (camera_y / 64)

    (@window.height / 64 + 2).times do |y|
      (@window.width / 64 + 2).times do |x|
        tile = @map[y_offset + y][x_offset + x]
        tile.draw
      end
    end
  end

  def width
    @width * 64
  end

  def height
    @height * 64
  end

end
